import { EventEmitter, OnDestroy, QueryList, TemplateRef } from "@angular/core";
import { Router } from "@angular/router";
import { BreakpointService, OverlayComponent } from "@smallstack/common-components";
import { InlineTranslation } from "@smallstack/i18n-shared";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export interface Tab {
    title: InlineTranslation | string;
    link?: string;
    permission?: string;
    visible?: boolean | Observable<boolean>;
    beta?: boolean;
}
export declare class TabsComponent implements OnDestroy {
    #private;
    private router;
    private breakpointService;
    protected tabs$: import("@angular/core").WritableSignal<Tab[]>;
    set tabs(tabs: Tab[]);
    protected selectedTab$: import("@angular/core").WritableSignal<number>;
    set selectedTab(selectedTab: number);
    protected computedSelectedTab$: import("@angular/core").Signal<number>;
    activeTabClasses: string;
    inactiveTabClasses: string;
    contentClasses: string;
    readonly selectedTabChange: EventEmitter<number>;
    protected tabContentQuery: QueryList<TemplateRef<any>>;
    protected mobileOverlayComponent: OverlayComponent;
    protected get tabContents(): TemplateRef<any>[];
    constructor(router: Router, breakpointService: BreakpointService);
    ngOnDestroy(): void;
    selectTab(index: number, from: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "smallstack-tabs", never, { "tabs": { "alias": "tabs"; "required": false; }; "selectedTab": { "alias": "selectedTab"; "required": false; }; "activeTabClasses": { "alias": "activeTabClasses"; "required": false; }; "inactiveTabClasses": { "alias": "inactiveTabClasses"; "required": false; }; "contentClasses": { "alias": "contentClasses"; "required": false; }; }, { "selectedTabChange": "selectedTabChange"; }, ["tabContentQuery"], ["*"], true, never>;
}
